Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpicedt.graphic.view
Class HitInfo.Point

    java.lang.Object
      jpicedt.graphic.view.HitInfo
          jpicedt.graphic.view.HitInfo.Point

Enclosing class:
  HitInfo

public static class HitInfo.Point
extends HitInfo

Represent a Hit that occured on one or several Element's control-points, the latter case occuring necessarily iff some control-points are identical.

Nested Class Summary

Nested classes inherited from class jpicedt.graphic.view.HitInfo
`HitInfo.Composite, HitInfo.EnvelopeStroke, HitInfo.HighlighterStroke, HitInfo.Interior, HitInfo.Point, HitInfo.Stroke, HitInfo.Text`

Constructor Summary
`HitInfo.Point(Element clickedObject, ArrayList pointIndices, PEMouseEvent mouseEvent)` construct a new HitInfo.Point that occured on the given Element and on the given points simultaneously.
`HitInfo.Point(Element clickedObject, int pointIndex, PEMouseEvent mouseEvent)` construct a new HitInfo.Point that occured on the given Element and on the given point index

Method Summary
`int` | `getIndex()` Return the point index on which the mouse hit occured.
`int` | `getIndex(int i)` Return the ith point index on which the mouse hit occured.
`int` | `getNbHitPoints()` Return the number of points that were hit simultaneously.
`String` | `toString()`

Methods inherited from class jpicedt.graphic.view.HitInfo
`getMouseEvent, getTarget`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HitInfo.Point

    public HitInfo.Point(Element clickedObject,
                         int pointIndex,
                         PEMouseEvent mouseEvent)

  construct a new HitInfo.Point that occured on the given Element and on the given point index

### HitInfo.Point

    public HitInfo.Point(Element clickedObject,
                         ArrayList pointIndices,
                         PEMouseEvent mouseEvent)

  construct a new HitInfo.Point that occured on the given Element and on the given points simultaneously. Note that the ArrayList argument is not deeply copied.

Method Detail

### getIndex

    public int getIndex()

  Return the point index on which the mouse hit occured. If several control-points were hit simultaneously because they were located at the same place, return the first one in ascending order according to the natural ordering of control-point indices.

### getIndex

    public int getIndex(int i)

  Return the ith point index on which the mouse hit occured. If only one control-point was hit, this is similar as `getIndex()`.

### getNbHitPoints

    public int getNbHitPoints()

  Return the number of points that were hit simultaneously.

### toString

    public String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug : syd@jpicedt.org